<?php
function wallstreet_header_option($wp_customize) {
     /******************** Logo Length *******************************/
    
    $wp_customize->register_control_type('Wallstreet_Toggle_Control');
    $wp_customize->add_setting( 'wallstreet_logo_length',
            array(
                'default' => 154,
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control( new Wallstreet_Slider_Custom_Control( $wp_customize, 'wallstreet_logo_length',
            array(
                'label' => esc_html__( 'Logo Width', 'wallstreet'  ),
                'priority' => 50,
                'section' => 'title_tagline',
                'input_attrs' => array(
                    'min' => 0,
                    'max' => 500,
                    'step' => 1,
                ),
            )
        ) );


        $wp_customize->add_setting('wallstreet_pro_options[display_site_title]',
            array(
                'default' => true,
                'sanitize_callback' => 'wallstreet_sanitize_checkbox',
                'type' => 'option',
                )
        );

        $wp_customize->add_control(new Wallstreet_Toggle_Control( $wp_customize, 'wallstreet_pro_options[display_site_title]',
            array(
                'label'    => esc_html__( 'Display Site Title', 'wallstreet'  ),
                'section'  => 'title_tagline',
                'type'     => 'toggle',
                'priority' => 45,
                'active_callback' => 'wallstreet_header_text_choice',
            )
        ));

        $wp_customize->add_setting('wallstreet_pro_options[display_site_tagline]',
            array(
                'default' => true,
                'sanitize_callback' => 'wallstreet_sanitize_checkbox',
                'type' => 'option',
                )
        );

        $wp_customize->add_control(new Wallstreet_Toggle_Control( $wp_customize, 'wallstreet_pro_options[display_site_tagline]',
            array(
                'label'    => esc_html__( 'Display Site Tagline', 'wallstreet'  ),
                'section'  => 'title_tagline',
                'type'     => 'toggle',
                'priority' => 45,
                'active_callback' => 'wallstreet_header_text_choice',
            )
        ));

        $theme_name = wp_get_theme();
        if($theme_name == 'Bluestreet' || $theme_name == 'Wallstreet Agency' ) {
            $default_layout = 'top-logo-title-tagline';
        }
        else{
            $default_layout = 'logo-title-tagline';
        }

        $wp_customize->add_setting( 'logo_layout',
        array(
            'default'           => $default_layout,
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'wallstreet_sanitize_select'
        )
        );

        $wp_customize->add_control( new Wallstreet_Image_Radio_Button_Custom_Control( $wp_customize, 'logo_layout',
            array(
                'label' => esc_html__( 'Logo Layout', 'wallstreet'  ),
                'section' => 'title_tagline',
                'priority'  => 50,
                'choices' => array(
                    'logo-title-tagline' => array( 
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/logo-title-tagline.png',
                    ),
                    'title-tagline-logo' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/title-tagline-logo.png',
                    ),
                    'top-logo-title-tagline' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/top logo-title-tagline.png',
                    ),
                    'top-title-tagline-logo' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/top title-tagline-logo.png',
                    )
                )
            )
        ) );
}
add_action('customize_register', 'wallstreet_header_option');

// callback function for the site title & tagline setting
function wallstreet_header_text_choice($control) {
            if (false == $control->manager->get_setting('header_text')->value()) {
                return false;
            } else {
                return true;
            }
}